Bug 433581 - yum-versionlock causes yum to die with "Error: None"
yum-versionlock causes yum to die with "Error: None"
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-19 23:55 EST by James Ralston
Modified: 2008-03-13 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 11:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2008-02-19 23:55:13 EST
I've followed precisely the instructions in
/usr/share/doc/yum-versionlock-1.1.11/README, yet yum-versionlock causes yum to
die with "Error: None".


# repoquery --quiet --envra --pkgnarrow=installed ntfs-3g yum yum-utils

# cd /etc/yum/pluginconf.d

# ls -l
total 12
-rw-r--r-- 1 root root 143 2008-01-30 01:18 fastestmirror.conf
-rw-r--r-- 1 root root  69 2008-02-19 23:33 versionlock.conf
-rw-r--r-- 1 root root  33 2008-02-19 23:50 versionlock.list

# cat versionlock.conf 
enabled = 1
locklist = /etc/yum/pluginconf.d/versionlock.list

# cat versionlock.list 

# yum update
Loaded plugins: fastestmirror, versionlock
Loading mirror speeds from cached hostfile
 * livna-development: mirrors.tummy.com
 * development: gulus.usherbrooke.ca
Reading version lock configuration
Error: None

Am I doing something wrong, or is yum-versionlock broken?
Comment 1 James Antill 2008-02-20 00:56:32 EST
 Apparently versionlock has been broken upstream for a couple of releases now,
the fix is simple:


...it should also be fixed in the next yum-utils rawhide release.
Comment 2 James Ralston 2008-02-20 13:21:14 EST
Ok, thanks; I hacked up versionlock.py on my local disk until updated packages
trickle down the appropriate channels.  Yum now runs with no errors (and
properly excludes the ntfs-3g package).
Comment 3 Andrew Farris 2008-03-09 05:27:42 EDT
Updated to yum-versionlock-1.1.11-5.fc9.noarch today and it once again blew away
my manual edit for this fix.  It has not been fixed yet in rawhide.
Comment 4 Seth Vidal 2008-03-13 11:02:19 EDT
it will be out in 1.1.12 of yum-utils. for now, closed upstream

Note You need to log in before you can comment on or make changes to this bug.